local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.Mounts(container)




--[[ Scroll Frame ]]--
local scrollcontainer = AceGUI:Create("SimpleGroup") 
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) 
scrollcontainer:SetLayout("Fill") 

container:AddChild(scrollcontainer)

local scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") 
scrollcontainer:AddChild(scroll)
  




--[[ Heading ]]--

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CMounts:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78COverview: ".."|cffffffff This Module Covers Over 457+ Obatinable mounts and how to get them going through Open World Mounts all the way towards Reputations and Professions")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)    
  
  
  local BeginnersGuide = AceGUI:Create("Button")
  BeginnersGuide:SetText("|cff00C78CAlliance Faction ".."|cffffffffMounts")
  BeginnersGuide:SetWidth(350)
  scroll:AddChild(BeginnersGuide)
  BeginnersGuide:SetCallback("OnClick", function() 

  core.AllianceFactionMounts(container)
  
  end)

  
local BeginnersGuide = AceGUI:Create("Button")
  BeginnersGuide:SetText("|cff00C78CHorde Faction ".."|cffffffffMounts")
  BeginnersGuide:SetWidth(350)
  scroll:AddChild(BeginnersGuide)
  BeginnersGuide:SetCallback("OnClick", function() 

  core.HordeFactionMounts(container)
  
  end)
 
  
local BeginnersGuide = AceGUI:Create("Button")
  BeginnersGuide:SetText("|cff00C78CDungeon / Raid Farmed ".."|cffffffffMounts")
  BeginnersGuide:SetWidth(350)
  scroll:AddChild(BeginnersGuide)
  BeginnersGuide:SetCallback("OnClick", function() 

  core.FarmedMounts(container)
  
  end)

 
  local BeginnersGuide = AceGUI:Create("Button")
  BeginnersGuide:SetText("|cff00C78CReputation ".."|cffffffffMounts")
  BeginnersGuide:SetWidth(350)
  scroll:AddChild(BeginnersGuide)
  BeginnersGuide:SetCallback("OnClick", function() 

  core.ReputationMounts(container)
  
  end)
  
  local BeginnersGuide = AceGUI:Create("Button")
  BeginnersGuide:SetText("|cff00C78CClass ".."|cffffffffMounts")
  BeginnersGuide:SetWidth(350)
  scroll:AddChild(BeginnersGuide)
  BeginnersGuide:SetCallback("OnClick", function() 

  core.ClassMounts(container)
  
  end)
  

  local BeginnersGuide = AceGUI:Create("Button")
  BeginnersGuide:SetText("|cff00C78CGrind ".."|cffffffffMounts")
  BeginnersGuide:SetWidth(350)
  scroll:AddChild(BeginnersGuide)
  BeginnersGuide:SetCallback("OnClick", function() 

  core.GrindMounts(container)
  
  end)
  
  local BeginnersGuide = AceGUI:Create("Button")
  BeginnersGuide:SetText("|cff00C78CWorld Boss / Rares ".."|cffffffffMounts")
  BeginnersGuide:SetWidth(350)
  scroll:AddChild(BeginnersGuide)
  BeginnersGuide:SetCallback("OnClick", function() 

  core.WorldBossandRares(container)
  
  end)
  
  local BeginnersGuide = AceGUI:Create("Button")
  BeginnersGuide:SetText("|cff00C78CEvent ".."|cffffffffMounts")
  BeginnersGuide:SetWidth(350)
  scroll:AddChild(BeginnersGuide)
  BeginnersGuide:SetCallback("OnClick", function() 

  core.EventMounts(container)
  
  end)
  
  local BeginnersGuide = AceGUI:Create("Button")
  BeginnersGuide:SetText("|cff00C78CProfession ".."|cffffffffMounts")
  BeginnersGuide:SetWidth(350)
  scroll:AddChild(BeginnersGuide)
  BeginnersGuide:SetCallback("OnClick", function() 

  core.ProfessionMounts(container)
  
  end)
  
  local BeginnersGuide = AceGUI:Create("Button")
  BeginnersGuide:SetText("|cff00C78CBlack Market Auction House ".."|cffffffffMounts")
  BeginnersGuide:SetWidth(350)
  scroll:AddChild(BeginnersGuide)
  BeginnersGuide:SetCallback("OnClick", function() 

  core.BlackMarketAuctionHouse(container)
  
  end)
  
  local BeginnersGuide = AceGUI:Create("Button")
  BeginnersGuide:SetText("|cff00C78CVendor ".."|cffffffffMounts")
  BeginnersGuide:SetWidth(350)
  scroll:AddChild(BeginnersGuide)
  BeginnersGuide:SetCallback("OnClick", function() 

  core.VendorMounts(container)
  
  end)
  

  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  end